Bug 1130456 - eclipse-m2e; unable to run compile target
Summary: eclipse-m2e; unable to run compile target
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse-m2e-core
Version: 20
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Gerard Ryan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-15 09:39 UTC by Dirk Schnelle-Walka
Modified: 2015-06-30 01:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-30 01:07:27 UTC


Attachments (Terms of Use)

Description Dirk Schnelle-Walka 2014-08-15 09:39:56 UTC
Description of problem:

After I installed the eclipse-maven and eclipse-m2e-* packages I am able to run compile targets from the console but not from within eclipse.

Version-Release number of selected component (if applicable):
maven-eclipse-plugin.noarch            2.9-9.fc20
eclipse-m2e-antlr.noarch               0.15.0-0.1.git3a263f7.fc20
eclipse-m2e-buildhelper.noarch         0.15.0-0.1.git2dbbbb7.fc20
eclipse-m2e-core.noarch                1.4.0-12.fc20             
eclipse-m2e-core-javadoc.noarch        1.4.0-12.fc20             
eclipse-m2e-cxf.noarch                 0.14.0-0.1.gitf22f9ea.fc20
eclipse-m2e-egit.noarch                0.14.0-0.1.git571dc0a.fc20
eclipse-m2e-mavenarchiver.noarch       0.16.0-0.1.git8bdbcc3.fc20
eclipse-m2e-modello.noarch             0.16.0-0.1.git338f33f.fc20
eclipse-m2e-plexus.noarch              0.15.0-0.1.git37ec013.fc20
eclipse-m2e-sisu.noarch                0.15.0-0.2.git81d3bc5.fc20
eclipse-m2e-tycho.noarch               0.7.0-0.1.git4ec9311.fc20 

How reproducible:


Steps to Reproduce:

1. Start eclipse.
2. Create a new test project with a random groupid and artifact id
3. right click the created pom.xml and select run as -> maven build
4. click run

Actual results:

The following message is displayed on the console:
SLF4J: Failed to load class "org.slf4j.impl.StaticLoggerBinder".
SLF4J: Defaulting to no-operation (NOP) logger implementation
SLF4J: See http://www.slf4j.org/codes.html#StaticLoggerBinder for further details.


Expected results:

Maven starts the build process as if run on the console:

[dirk@homersimpson test]$ mvn compile
[INFO] Scanning for projects...
[INFO]                                                                         
[INFO] ------------------------------------------------------------------------
[INFO] Building test 0.0.1-SNAPSHOT
[INFO] ------------------------------------------------------------------------
[INFO] 
[INFO] --- maven-resources-plugin:2.6:resources (default-resources) @ test ---
[WARNING] Using platform encoding (UTF-8 actually) to copy filtered resources, i.e. build is platform dependent!
[INFO] Copying 0 resource
[INFO] 
[INFO] --- maven-compiler-plugin:2.5.1:compile (default-compile) @ test ---
[INFO] Nothing to compile - all classes are up to date
[INFO] ------------------------------------------------------------------------
[INFO] BUILD SUCCESS
[INFO] ------------------------------------------------------------------------
[INFO] Total time: 0.574s
[INFO] Finished at: Fri Aug 15 11:38:01 CEST 2014
[INFO] Final Memory: 6M/150M
[INFO] ------------------------------------------------------------------------

Additional info:

Comment 1 Gerard Ryan 2014-09-02 20:41:38 UTC
Hi Dirk,

Thanks for the bug report. Sorry about the delayed response, I've been away for a couple of weeks.

I'm able to reproduce this, so I'll hopefully be able to get a fix for it soon.

Comment 2 Dirk Schnelle-Walka 2014-10-08 05:59:57 UTC
Anything new?

Comment 3 Gerard Ryan 2014-10-08 21:12:27 UTC
(In reply to Dirk Schnelle-Walka from comment #2)
> Anything new?

Hi Dirk,

I haven't been able to figure out what's causing it yet unfortunately. It appears to be just missing the logging though -- the build still gets run...we just don't get all the output in Eclipse.

In F21, m2e is version 1.5.x where some things have changed and this issue doesn't seem to be present. I'll hopefully be able to find some time soon to look into it in more depth on F20.

One of the hard parts is that m2e expects certain versions of its dependencies, and we don't always have the same versions, and in some cases, we have incompatible versions which mean we have to patch m2e to get it to build/work at all.

Thanks for your patience!
Gerard.

Comment 4 Dirk Schnelle-Walka 2014-10-09 06:24:44 UTC
Gerard,

Maybe, these two links are helpful:

http://stackoverflow.com/questions/11916706/slf4j-failed-to-load-class-org-slf4j-impl-staticloggerbinder-error

https://bugs.eclipse.org/bugs/show_bug.cgi?id=387064

Just in case that you did not find them yourself and to link the error descriptions. 

Since maven is pretty common it would be really great to have it fixed. I can understand that this is trickier than initially expected. 

In the meantime, I will try to try the workaround that is provided in one of the threads. 

Dirk

Comment 5 Dirk Schnelle-Walka 2014-10-09 11:34:05 UTC
Unfortunately, none of the provided workarounds worked for me.

Comment 6 Fedora End Of Life 2015-05-29 12:38:29 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Fedora End Of Life 2015-06-30 01:07:27 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.